CMSIS-DSP: Real FFT Tables

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Variables
Real FFT Tables
Real FFT Functions

## Variables
const float32_t | realCoefA [8192]
const float32_t | realCoefB [8192]
const q31_t | realCoefAQ31 [8192]
const q31_t | realCoefBQ31 [8192]
const q15_t | realCoefAQ15 [8192]
const q15_t | realCoefBQ15 [8192]

## Description

## Variable Documentation

const float32_t realCoefA[8192]

  Generation of realCoefA array:

  n = 4096

      for (i = 0; i < n; i++)
      {
         pATable[2 * i]     = 0.5 * ( 1.0 - sin (2 * PI / (double) (2 * n) * (double) i));
         pATable[2 * i + 1] = 0.5 * (-1.0 * cos (2 * PI / (double) (2 * n) * (double) i));
      }

const q15_t realCoefAQ15[8192]

  Generation fixed-point realCoefAQ15 array in Q15 format:

  n = 4096

      for (i = 0; i < n; i++)
      {
         pATable[2 * i]     = 0.5 * ( 1.0 - sin (2 * PI / (double) (2 * n) * (double) i));
         pATable[2 * i + 1] = 0.5 * (-1.0 * cos (2 * PI / (double) (2 * n) * (double) i));
      }

  Convert to fixed point Q15 format round(pATable[i] * pow(2, 15))

const q31_t realCoefAQ31[8192]

  Generation fixed-point realCoefAQ31 array in Q31 format:

  n = 4096

      for (i = 0; i < n; i++)
      {
         pATable[2 * i]     = 0.5 * ( 1.0 - sin (2 * PI / (double) (2 * n) * (double) i));
         pATable[2 * i + 1] = 0.5 * (-1.0 * cos (2 * PI / (double) (2 * n) * (double) i));
      }

  Convert to fixed point Q31 format round(pATable[i] * pow(2, 31))

const float32_t realCoefB[8192]

  Generation of realCoefB array:

  n = 4096

      for (i = 0; i < n; i++)
      {
         pBTable[2 * i]     = 0.5 * (1.0 + sin (2 * PI / (double) (2 * n) * (double) i));
         pBTable[2 * i + 1] = 0.5 * (1.0 * cos (2 * PI / (double) (2 * n) * (double) i));
      }

const q15_t realCoefBQ15[8192]

  Generation of real_CoefB array:

  n = 4096

      for (i = 0; i < n; i++)
      {
         pBTable[2 * i]     = 0.5 * (1.0 + sin (2 * PI / (double) (2 * n) * (double) i));
         pBTable[2 * i + 1] = 0.5 * (1.0 * cos (2 * PI / (double) (2 * n) * (double) i));
      }

  Convert to fixed point Q15 format round(pBTable[i] * pow(2, 15))

const q31_t realCoefBQ31[8192]

  Generation of realCoefBQ31 array:

  n = 4096

      for (i = 0; i < n; i++)
      {
         pBTable[2 * i]     = 0.5 * (1.0 + sin (2 * PI / (double) (2 * n) * (double) i));
         pBTable[2 * i + 1] = 0.5 * (1.0 * cos (2 * PI / (double) (2 * n) * (double) i));
      }

  Convert to fixed point Q31 format round(pBTable[i] * pow(2, 31))